org.eclipse.emf.cdo.spi.common.revision

## Class PointerCDORevision

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.AbstractCDORevision
  - - org.eclipse.emf.cdo.spi.common.revision.StubCDORevision
    - - org.eclipse.emf.cdo.spi.common.revision.SyntheticCDORevision
      - - org.eclipse.emf.cdo.spi.common.revision.PointerCDORevision

- All Implemented Interfaces:
    CDOBranchPoint, CDOBranchProvider, CDOBranchVersion, CDOIdentifiable, CDOIDAndVersion, CDORevisable, CDORevision, CDORevisionData, CDORevisionKey, CDOTimeProvider, CDOVersionProvider, CDOBranchAdjustable, CDOReferenceAdjustable, InternalCDORevision

      public class PointerCDORevision
      extends SyntheticCDORevision

  A `synthetic` revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches. It always has `version` `zero` and can only appear in branches below the `main` branch.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevision

      `DO_NOT_CREATE_LIST`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.CDORevision

      `DEPTH_INFINITE, DEPTH_NONE, FIRST_VERSION, MAIN_BRANCH_ID, PERMISSION_PROVIDER, UNCHUNKED`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `UNSPECIFIED_VERSION`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionData

      `NIL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointerCDORevision(EClass eClass, CDOID id, CDOBranch branch, long revised, CDOBranchVersion target)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getRevised()`
    `CDOBranchVersion` | `getTarget()`
    `long` | `getTimeStamp()` Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
    `int` | `getVersion()` Returns the version number of this branch version.
    `void` | `setRevised(long revised)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.SyntheticCDORevision

      `freeze, getBranch, getID`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.StubCDORevision

      `add, adjustBranches, adjustReferences, bypassPermissionChecks, clear, clearValues, compare, compareTo, contains, convertEObjects, copy, get, getContainerID, getContainingFeatureID, getListOrNull, getOrCreateList, getOrCreateList, getPermission, getResourceID, getResourceNodeName, getValue, hashCode, indexOf, isEmpty, isFrozen, isListPreserving, isUnchunked, lastIndexOf, merge, move, read, readValues, remove, set, setBranchPoint, setContainerID, setContainingFeatureID, setID, setList, setListPreserving, setPermission, setResourceID, setUnchunked, setValue, setVersion, size, toArray, toArray, unset, write, write, writeValues`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.AbstractCDORevision

      `accept, accept, accept, adjustForCommit, data, equals, getAllPersistentFeatures, getClassInfo, getEClass, getFeatureIndex, getList, getList, getProperRevision, getRevisionForID, hashCode, initClassInfo, isHistorical, isReadable, isResource, isResourceFolder, isResourceNode, isValid, isValid, isWritable, revision`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PointerCDORevision

          public PointerCDORevision(EClass eClass,
                                    CDOID id,
                                    CDOBranch branch,
                                    long revised,
                                    CDOBranchVersion target)

  - ### Method Detail

    - #### getVersion

          public final int getVersion()

      Description copied from interface: `CDOBranchVersion`
      Returns the version number of this branch version.
      Specified by:
        `getVersion` in interface `CDOBranchVersion`
      Specified by:
        `getVersion` in interface `CDOIDAndVersion`
      Specified by:
        `getVersion` in interface `CDOVersionProvider`
      Overrides:
        `getVersion` in class `StubCDORevision`

    - #### getTimeStamp

          public long getTimeStamp()

      Description copied from interface: `CDOBranchPoint`
      Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
      Specified by:
        `getTimeStamp` in interface `CDOBranchPoint`
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`
      Overrides:
        `getTimeStamp` in class `StubCDORevision`

    - #### getRevised

          public long getRevised()

      Specified by:
        `getRevised` in interface `CDORevisable`
      Overrides:
        `getRevised` in class `StubCDORevision`

    - #### setRevised

          public void setRevised(long revised)

      Specified by:
        `setRevised` in interface `InternalCDORevision`
      Overrides:
        `setRevised` in class `StubCDORevision`

    - #### getTarget

          public CDOBranchVersion getTarget()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractCDORevision`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html